Package org.apache.commons.validator.routines

# Class CreditCardValidator.CreditCardRange

java.lang.Object
org.apache.commons.validator.routines.CreditCardValidator.CreditCardRange

Enclosing class:
  `CreditCardValidator`

public static class CreditCardValidator.CreditCardRange extends Object
Class that represents a credit card range.

Since:
  1.6

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreditCardRange(String low, String high, int[] lengths)`
  Create a credit card range specifier for use in validation of the number syntax including the IIN range.
  `CreditCardRange(String low, String high, int minLen, int maxLen)`
  Create a credit card range specifier for use in validation of the number syntax including the IIN range.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CreditCardRange

    public CreditCardRange(String low, String high, int minLen, int maxLen)
    Create a credit card range specifier for use in validation of the number syntax including the IIN range.

    The low and high parameters may be shorter than the length of an IIN (currently 6 digits) in which case subsequent digits are ignored and may range from 0-9.

    The low and high parameters may be different lengths. e.g. Discover "644" and "65".

    Parameters:
      `low` - the low digits of the IIN range
      `high` - the high digits of the IIN range
      `minLen` - the minimum length of the entire number
      `maxLen` - the maximum length of the entire number

  - ### CreditCardRange

    public CreditCardRange(String low, String high, int[] lengths)
    Create a credit card range specifier for use in validation of the number syntax including the IIN range.

    The low and high parameters may be shorter than the length of an IIN (currently 6 digits) in which case subsequent digits are ignored and may range from 0-9.

    The low and high parameters may be different lengths. e.g. Discover "644" and "65".

    Parameters:
      `low` - the low digits of the IIN range
      `high` - the high digits of the IIN range
      `lengths` - array of valid lengths